import java.util.ListIterator;
import java.util.Vector;

/*
 * Author: Jason Bittel
 * Date:   May 26, 2004
 * 
 * Description:
 * This program generates a random connected graph and then
 * utilizes Kruskal's algorithm to compute the minimum spanning 
 * tree for the graph.
 */

public class Vertex {
	int vertexID;
	Vector set = new Vector();
	
	public Vertex(int id) {
		this.vertexID = id;
	}
	
	public boolean setContains(Vertex currVertex) {
		return this.set.contains(currVertex);
	}
	
	public void unionSet() {
		ListIterator currSet = set.listIterator();
		while(currSet.hasNext()) {
			Vertex nextVertex = (Vertex) currSet.next();
			nextVertex.set = this.set;
		}
	}
	
	public void addSetElement(Vertex currVertex) {
		this.set.add(currVertex);
	}
	
	public void addSetElement(Vector currVector) {
		this.set.addAll(currVector);
	}
	
	public int getID() {
		return this.vertexID;
	}
}
